> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/cdn/common/describeaccelerationregions.md).

# DescribeAccelerationRegions

## 1. API Description

This API (DescribeAccelerationRegions) is used to query the acceleration regions for accelerated domains.

## 2. Output Parameters

| Parameter Name | Type                                                                                             | Description                                                                                              |
| -------------- | ------------------------------------------------------------------------------------------------ | -------------------------------------------------------------------------------------------------------- |
| regionSet      | Array of [AccelerationRegion](/api-reference/networking/cdn/datastructure.md#accelerationRegion) | Collection of acceleration region information.                                                           |
| requestId      | String                                                                                           | Unique request ID. Returned with every request. This request's requestId is needed when troubleshooting. |

## 3. Code Example

{% tabs %}
{% tab title="Example" %}

1. **Query the acceleration regions for an accelerated domain.**

```json
POST / HTTP/1.1
Host: console.zenlayer.com/api/v2/cdn
Content-Type: application/json
X-TC-Action: DescribeAccelerationRegions
<Common Request Params>

Request:
{
}

Response:
{
  "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
  "response": {
    "requestId": "T6883FCD0-3E7D-44EA-A517-A421A52A27F4",
    "regionSet": [
      {
        "regionId": "0bf12a3e-0a44-4515-bda8-1fcb25a2e311",
        "regionName": "GlobalExcludingMainlandChina"
      },
      {
        "regionId": "9e00168d-748d-4ff0-8aa5-8bc3792e8988",
        "regionName": "Global"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 4. Error Codes

The following includes error codes encountered in business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).
